Project

Profile

Help

SaxonCHE cannot be found for the docker container 'python:3.8.1-alpine3.11'.

Added by Philipp Ruf about 1 year ago

Hello, when I try to install SaxonCHE inside a docker container that's based on 'python:3.8.1-alpine3.11', I get the error:

#14 2.757 ERROR: Could not find a version that satisfies the requirement saxonche (from versions: none) #14 2.757 ERROR: No matching distribution found for saxonche

It seems that pip cannot find SaxonCHE, SaxonCEE nor SaxonCPE even though python 3.9 and pip 23 is installed inside the container.

I would be thankful for any input as I tried many things such as installing it locally (also not working). If you need further information, I can provide it.


Replies (4)

Please register to reply

SaxonCHE cannot be found for the docker container 'python:3.8.1-alpine3.11'. - Added by Norm Tovey-Walsh about 1 year ago

Hello, when I try to install SaxonCHE inside a docker container that's based on
'python:3.8.1-alpine3.11', I get the error:
[…]
I would be thankful for any input as I tried many things such as installing it locally (also not
working). If you need further information, I can provide it.

Alpine is a very small Linux distribution. I don’t really know what
dependency it isn’t providing for Python/SaxonC. I had no trouble with
this Dockerfile:

FROM python:3.8.1-buster
RUN python3 -m pip install saxonche

on Intel hardware. We don’t have builds for ARM/Apple Silicon hardware.

I hope that’s something we can fix in the near future.

Be seeing you,
norm

--
Norm Tovey-Walsh
Saxonica

RE: SaxonCHE cannot be found for the docker container 'python:3.8.1-alpine3.11'. - Added by Martin Honnen almost 1 year ago

If I understand https://peps.python.org/pep-0656/ correctly then Alpine doesn't use glibc but musl. And as far as I understand it Python wheels built for a glibc based Linux don't work with a musl based Linux. That could be the reason why the SaxonC wheels don't work with Alpine.

RE: SaxonCHE cannot be found for the docker container 'python:3.8.1-alpine3.11'. - Added by Norm Tovey-Walsh almost 1 year ago

If I understand https://peps.python.org/pep-0656/ correctly then Alpine doesn't use glibc but
musl. And as far as I understand it Python wheels built for a glibc based Linux don't work with a
musl based Linux. That could be the reason why the SaxonC wheels don't
work with Alpine.

Thank you, Martin. Yes, the wheels are currently built for glibc not musl.

Be seeing you,
norm

--
Norm Tovey-Walsh
Saxonica

RE: SaxonCHE cannot be found for the docker container 'python:3.8.1-alpine3.11'. - Added by Philipp Ruf almost 1 year ago

Thank you, this resolves my question. This post can be considered closed now.

    (1-4/4)

    Please register to reply